{
	volScalarField& h = pyroThermo.he();
	pyroRho = pyroThermo.rho();
	
	fvScalarMatrix hEqn
	(
		fvm::ddt(pyroRho, h)
	  - fvm::laplacian(pyroThermo.alpha(), h)
	  ==
		fvOptions(pyroRho, h)
	);
    
	hEqn.relax();

	fvOptions.constrain(hEqn);

	hEqn.solve();

	fvOptions.correct(h);

    pyroThermo.correct();

    Info<< "Solid Min/max T:" << min(pyroThermo.T()).value() << ' '
        << max(pyroThermo.T()).value() << endl;
}
